Bug 104569 - LOCALHELP: Missing icons from 'Styles and Formatting' page
Summary: LOCALHELP: Missing icons from 'Styles and Formatting' page
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-10 21:47 UTC by Gabor Kelemen
Modified: 2016-12-15 21:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
The problematic page (230.46 KB, image/png)
2016-12-10 21:47 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2016-12-10 21:47:13 UTC
Created attachment 129467 [details]
The problematic page

With the current master build I stumbled into a few missing icons on the Styles and Formatting page. 
Identifiers:

vnd.libreoffice.image://galaxy/sfx2/res/styfam2.png

vnd.libreoffice.image://galaxy/sfx2/res/styfam1.png

vnd.libreoffice.image://galaxy/sw/imglst/sf03.png

vnd.libreoffice.image://galaxy/sw/imglst/sf04.png

vnd.libreoffice.image://galaxy/sw/imglst/sf05.png
Comment 1 Katarina Behrens (CIB) 2016-12-14 13:10:13 UTC
@Gabor: if it is self-made build you have, can you (after 'make') also run 'make postprocess'? That re-generates image archives and in theory, it could help.

Failing that, can you check if $libre_source_tree/instdir/share/config/images_galaxy.zip contains the missing icons?
Comment 2 Gabor Kelemen 2016-12-14 13:31:42 UTC
(In reply to Katarina Behrens (CIB) from comment #1)
> @Gabor: if it is self-made build you have, can you (after 'make') also run
> 'make postprocess'? That re-generates image archives and in theory, it could
> help.
> 

Yes, it's a custom build. I'll try to update, the styfam1-2.png are in the correct place in git. 
The sw/imglist icons problem may be a bit of fallout from:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=de943f90ed1d1402d2eb9c778740b4e7dfcda92c
Comment 3 Katarina Behrens (CIB) 2016-12-14 13:46:36 UTC
Okay, confirmed at least the part where sw/imglst/* images don't exist anymore and the following .xhp files need fixing ( = adjusting paths to images)

source/text/scalc/01/05100000.xhp
source/text/swriter/01/05140000.xhp
Comment 4 Gabor Kelemen 2016-12-15 07:04:05 UTC
A fresh build solved the first two icons problem. The three others remain.
Comment 5 Commit Notification 2016-12-15 20:57:10 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=2234be96c0865090b2e1c47e5138f011b566512c

tdf#104569 Fix icon paths on Style and Formatting pages